# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/local/bin/cmake

# The command to remove a file.
RM = /usr/local/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/gog/sdsl2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/gog/sdsl2

# Include any dependencies generated for this target.
include lib/CMakeFiles/sdsl.dir/depend.make

# Include the progress variables for this target.
include lib/CMakeFiles/sdsl.dir/progress.make

# Include the compile flags for this target's objects.
include lib/CMakeFiles/sdsl.dir/flags.make

lib/CMakeFiles/sdsl.dir/algorithms.cpp.o: lib/CMakeFiles/sdsl.dir/flags.make
lib/CMakeFiles/sdsl.dir/algorithms.cpp.o: lib/algorithms.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/gog/sdsl2/CMakeFiles $(CMAKE_PROGRESS_1)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object lib/CMakeFiles/sdsl.dir/algorithms.cpp.o"
	cd /home/gog/sdsl2/lib && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/sdsl.dir/algorithms.cpp.o -c /home/gog/sdsl2/lib/algorithms.cpp

lib/CMakeFiles/sdsl.dir/algorithms.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/sdsl.dir/algorithms.cpp.i"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/gog/sdsl2/lib/algorithms.cpp > CMakeFiles/sdsl.dir/algorithms.cpp.i

lib/CMakeFiles/sdsl.dir/algorithms.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/sdsl.dir/algorithms.cpp.s"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/gog/sdsl2/lib/algorithms.cpp -o CMakeFiles/sdsl.dir/algorithms.cpp.s

lib/CMakeFiles/sdsl.dir/algorithms.cpp.o.requires:
.PHONY : lib/CMakeFiles/sdsl.dir/algorithms.cpp.o.requires

lib/CMakeFiles/sdsl.dir/algorithms.cpp.o.provides: lib/CMakeFiles/sdsl.dir/algorithms.cpp.o.requires
	$(MAKE) -f lib/CMakeFiles/sdsl.dir/build.make lib/CMakeFiles/sdsl.dir/algorithms.cpp.o.provides.build
.PHONY : lib/CMakeFiles/sdsl.dir/algorithms.cpp.o.provides

lib/CMakeFiles/sdsl.dir/algorithms.cpp.o.provides.build: lib/CMakeFiles/sdsl.dir/algorithms.cpp.o
.PHONY : lib/CMakeFiles/sdsl.dir/algorithms.cpp.o.provides.build

lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o: lib/CMakeFiles/sdsl.dir/flags.make
lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o: lib/bitmagic.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/gog/sdsl2/CMakeFiles $(CMAKE_PROGRESS_2)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o"
	cd /home/gog/sdsl2/lib && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/sdsl.dir/bitmagic.cpp.o -c /home/gog/sdsl2/lib/bitmagic.cpp

lib/CMakeFiles/sdsl.dir/bitmagic.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/sdsl.dir/bitmagic.cpp.i"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/gog/sdsl2/lib/bitmagic.cpp > CMakeFiles/sdsl.dir/bitmagic.cpp.i

lib/CMakeFiles/sdsl.dir/bitmagic.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/sdsl.dir/bitmagic.cpp.s"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/gog/sdsl2/lib/bitmagic.cpp -o CMakeFiles/sdsl.dir/bitmagic.cpp.s

lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o.requires:
.PHONY : lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o.requires

lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o.provides: lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o.requires
	$(MAKE) -f lib/CMakeFiles/sdsl.dir/build.make lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o.provides.build
.PHONY : lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o.provides

lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o.provides.build: lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o
.PHONY : lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o.provides.build

lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o: lib/CMakeFiles/sdsl.dir/flags.make
lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o: lib/csa_uncompressed.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/gog/sdsl2/CMakeFiles $(CMAKE_PROGRESS_3)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o"
	cd /home/gog/sdsl2/lib && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o -c /home/gog/sdsl2/lib/csa_uncompressed.cpp

lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/sdsl.dir/csa_uncompressed.cpp.i"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/gog/sdsl2/lib/csa_uncompressed.cpp > CMakeFiles/sdsl.dir/csa_uncompressed.cpp.i

lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/sdsl.dir/csa_uncompressed.cpp.s"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/gog/sdsl2/lib/csa_uncompressed.cpp -o CMakeFiles/sdsl.dir/csa_uncompressed.cpp.s

lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o.requires:
.PHONY : lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o.requires

lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o.provides: lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o.requires
	$(MAKE) -f lib/CMakeFiles/sdsl.dir/build.make lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o.provides.build
.PHONY : lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o.provides

lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o.provides.build: lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o
.PHONY : lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o.provides.build

lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o: lib/CMakeFiles/sdsl.dir/flags.make
lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o: lib/elias_delta_coder.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/gog/sdsl2/CMakeFiles $(CMAKE_PROGRESS_4)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o"
	cd /home/gog/sdsl2/lib && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o -c /home/gog/sdsl2/lib/elias_delta_coder.cpp

lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/sdsl.dir/elias_delta_coder.cpp.i"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/gog/sdsl2/lib/elias_delta_coder.cpp > CMakeFiles/sdsl.dir/elias_delta_coder.cpp.i

lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/sdsl.dir/elias_delta_coder.cpp.s"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/gog/sdsl2/lib/elias_delta_coder.cpp -o CMakeFiles/sdsl.dir/elias_delta_coder.cpp.s

lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o.requires:
.PHONY : lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o.requires

lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o.provides: lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o.requires
	$(MAKE) -f lib/CMakeFiles/sdsl.dir/build.make lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o.provides.build
.PHONY : lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o.provides

lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o.provides.build: lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o
.PHONY : lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o.provides.build

lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o: lib/CMakeFiles/sdsl.dir/flags.make
lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o: lib/fibonacci_coder.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/gog/sdsl2/CMakeFiles $(CMAKE_PROGRESS_5)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o"
	cd /home/gog/sdsl2/lib && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o -c /home/gog/sdsl2/lib/fibonacci_coder.cpp

lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/sdsl.dir/fibonacci_coder.cpp.i"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/gog/sdsl2/lib/fibonacci_coder.cpp > CMakeFiles/sdsl.dir/fibonacci_coder.cpp.i

lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/sdsl.dir/fibonacci_coder.cpp.s"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/gog/sdsl2/lib/fibonacci_coder.cpp -o CMakeFiles/sdsl.dir/fibonacci_coder.cpp.s

lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o.requires:
.PHONY : lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o.requires

lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o.provides: lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o.requires
	$(MAKE) -f lib/CMakeFiles/sdsl.dir/build.make lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o.provides.build
.PHONY : lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o.provides

lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o.provides.build: lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o
.PHONY : lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o.provides.build

lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o: lib/CMakeFiles/sdsl.dir/flags.make
lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o: lib/ternary_coder.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/gog/sdsl2/CMakeFiles $(CMAKE_PROGRESS_6)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o"
	cd /home/gog/sdsl2/lib && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/sdsl.dir/ternary_coder.cpp.o -c /home/gog/sdsl2/lib/ternary_coder.cpp

lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/sdsl.dir/ternary_coder.cpp.i"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/gog/sdsl2/lib/ternary_coder.cpp > CMakeFiles/sdsl.dir/ternary_coder.cpp.i

lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/sdsl.dir/ternary_coder.cpp.s"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/gog/sdsl2/lib/ternary_coder.cpp -o CMakeFiles/sdsl.dir/ternary_coder.cpp.s

lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o.requires:
.PHONY : lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o.requires

lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o.provides: lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o.requires
	$(MAKE) -f lib/CMakeFiles/sdsl.dir/build.make lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o.provides.build
.PHONY : lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o.provides

lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o.provides.build: lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o
.PHONY : lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o.provides.build

lib/CMakeFiles/sdsl.dir/testutils.cpp.o: lib/CMakeFiles/sdsl.dir/flags.make
lib/CMakeFiles/sdsl.dir/testutils.cpp.o: lib/testutils.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/gog/sdsl2/CMakeFiles $(CMAKE_PROGRESS_7)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object lib/CMakeFiles/sdsl.dir/testutils.cpp.o"
	cd /home/gog/sdsl2/lib && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/sdsl.dir/testutils.cpp.o -c /home/gog/sdsl2/lib/testutils.cpp

lib/CMakeFiles/sdsl.dir/testutils.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/sdsl.dir/testutils.cpp.i"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/gog/sdsl2/lib/testutils.cpp > CMakeFiles/sdsl.dir/testutils.cpp.i

lib/CMakeFiles/sdsl.dir/testutils.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/sdsl.dir/testutils.cpp.s"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/gog/sdsl2/lib/testutils.cpp -o CMakeFiles/sdsl.dir/testutils.cpp.s

lib/CMakeFiles/sdsl.dir/testutils.cpp.o.requires:
.PHONY : lib/CMakeFiles/sdsl.dir/testutils.cpp.o.requires

lib/CMakeFiles/sdsl.dir/testutils.cpp.o.provides: lib/CMakeFiles/sdsl.dir/testutils.cpp.o.requires
	$(MAKE) -f lib/CMakeFiles/sdsl.dir/build.make lib/CMakeFiles/sdsl.dir/testutils.cpp.o.provides.build
.PHONY : lib/CMakeFiles/sdsl.dir/testutils.cpp.o.provides

lib/CMakeFiles/sdsl.dir/testutils.cpp.o.provides.build: lib/CMakeFiles/sdsl.dir/testutils.cpp.o
.PHONY : lib/CMakeFiles/sdsl.dir/testutils.cpp.o.provides.build

lib/CMakeFiles/sdsl.dir/util.cpp.o: lib/CMakeFiles/sdsl.dir/flags.make
lib/CMakeFiles/sdsl.dir/util.cpp.o: lib/util.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/gog/sdsl2/CMakeFiles $(CMAKE_PROGRESS_8)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object lib/CMakeFiles/sdsl.dir/util.cpp.o"
	cd /home/gog/sdsl2/lib && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/sdsl.dir/util.cpp.o -c /home/gog/sdsl2/lib/util.cpp

lib/CMakeFiles/sdsl.dir/util.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/sdsl.dir/util.cpp.i"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/gog/sdsl2/lib/util.cpp > CMakeFiles/sdsl.dir/util.cpp.i

lib/CMakeFiles/sdsl.dir/util.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/sdsl.dir/util.cpp.s"
	cd /home/gog/sdsl2/lib && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/gog/sdsl2/lib/util.cpp -o CMakeFiles/sdsl.dir/util.cpp.s

lib/CMakeFiles/sdsl.dir/util.cpp.o.requires:
.PHONY : lib/CMakeFiles/sdsl.dir/util.cpp.o.requires

lib/CMakeFiles/sdsl.dir/util.cpp.o.provides: lib/CMakeFiles/sdsl.dir/util.cpp.o.requires
	$(MAKE) -f lib/CMakeFiles/sdsl.dir/build.make lib/CMakeFiles/sdsl.dir/util.cpp.o.provides.build
.PHONY : lib/CMakeFiles/sdsl.dir/util.cpp.o.provides

lib/CMakeFiles/sdsl.dir/util.cpp.o.provides.build: lib/CMakeFiles/sdsl.dir/util.cpp.o
.PHONY : lib/CMakeFiles/sdsl.dir/util.cpp.o.provides.build

# Object files for target sdsl
sdsl_OBJECTS = \
"CMakeFiles/sdsl.dir/algorithms.cpp.o" \
"CMakeFiles/sdsl.dir/bitmagic.cpp.o" \
"CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o" \
"CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o" \
"CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o" \
"CMakeFiles/sdsl.dir/ternary_coder.cpp.o" \
"CMakeFiles/sdsl.dir/testutils.cpp.o" \
"CMakeFiles/sdsl.dir/util.cpp.o"

# External object files for target sdsl
sdsl_EXTERNAL_OBJECTS =

lib/libsdsl.a: lib/CMakeFiles/sdsl.dir/algorithms.cpp.o
lib/libsdsl.a: lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o
lib/libsdsl.a: lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o
lib/libsdsl.a: lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o
lib/libsdsl.a: lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o
lib/libsdsl.a: lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o
lib/libsdsl.a: lib/CMakeFiles/sdsl.dir/testutils.cpp.o
lib/libsdsl.a: lib/CMakeFiles/sdsl.dir/util.cpp.o
lib/libsdsl.a: lib/CMakeFiles/sdsl.dir/build.make
lib/libsdsl.a: lib/CMakeFiles/sdsl.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --red --bold "Linking CXX static library libsdsl.a"
	cd /home/gog/sdsl2/lib && $(CMAKE_COMMAND) -P CMakeFiles/sdsl.dir/cmake_clean_target.cmake
	cd /home/gog/sdsl2/lib && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/sdsl.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
lib/CMakeFiles/sdsl.dir/build: lib/libsdsl.a
.PHONY : lib/CMakeFiles/sdsl.dir/build

lib/CMakeFiles/sdsl.dir/requires: lib/CMakeFiles/sdsl.dir/algorithms.cpp.o.requires
lib/CMakeFiles/sdsl.dir/requires: lib/CMakeFiles/sdsl.dir/bitmagic.cpp.o.requires
lib/CMakeFiles/sdsl.dir/requires: lib/CMakeFiles/sdsl.dir/csa_uncompressed.cpp.o.requires
lib/CMakeFiles/sdsl.dir/requires: lib/CMakeFiles/sdsl.dir/elias_delta_coder.cpp.o.requires
lib/CMakeFiles/sdsl.dir/requires: lib/CMakeFiles/sdsl.dir/fibonacci_coder.cpp.o.requires
lib/CMakeFiles/sdsl.dir/requires: lib/CMakeFiles/sdsl.dir/ternary_coder.cpp.o.requires
lib/CMakeFiles/sdsl.dir/requires: lib/CMakeFiles/sdsl.dir/testutils.cpp.o.requires
lib/CMakeFiles/sdsl.dir/requires: lib/CMakeFiles/sdsl.dir/util.cpp.o.requires
.PHONY : lib/CMakeFiles/sdsl.dir/requires

lib/CMakeFiles/sdsl.dir/clean:
	cd /home/gog/sdsl2/lib && $(CMAKE_COMMAND) -P CMakeFiles/sdsl.dir/cmake_clean.cmake
.PHONY : lib/CMakeFiles/sdsl.dir/clean

lib/CMakeFiles/sdsl.dir/depend:
	cd /home/gog/sdsl2 && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/gog/sdsl2 /home/gog/sdsl2/lib /home/gog/sdsl2 /home/gog/sdsl2/lib /home/gog/sdsl2/lib/CMakeFiles/sdsl.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : lib/CMakeFiles/sdsl.dir/depend

